Skip to content

Get member bulk operation results by operation

Request

Returns a list of member bulk operation results for the supercase bulk operation. Each member bulk operation result represents a member that was affected by the operation.

Security
oauth2(Required scopes: supercase:read) or bearerAuth or apiKeyHeader
Path
supercaseIdstringrequired

The ID of the supercase

supercaseBulkOperationIdstringrequired

Supercase bulk operation ID

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

statusstring

Filter by status. Possible values are success, failed, ineligible, notProcessed.

Enum:"success""failed""ineligible""notProcessed"
GET
/supercases/{supercaseId}/bulk-operations/{supercaseBulkOperationId}/member-bulk-operation-results
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/supercases/{supercaseId}/bulk-operations/{supercaseBulkOperationId}/member-bulk-operation-results?limit=25&startingAfter=string&endingBefore=string&sortBy=string&status=success' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(MemberBulkOperationResult)
Response
{ "count": 0, "status": 0, "data": [ {} ] }